component: Radar
metric: zoox::diag::EmptyMetric
namespace: zoox::radar_gateway

# TODO(SWAT-2926): Have per radar diagnostic collector configuration
faults:
    # Fault should be an ERROR.
  - id: 0
    name: HARDWARE_ISSUE
    severity: WARNING
    description:
    # Fault should be an ERROR.
  - id: 1
    name: SOFTWARE_ISSUE
    severity: WARNING
    description:
    # Fault should be an ERROR.
  - id: 2
    name: COMM_ISSUE
    severity: WARNING
    description:
    # Fault should be an ERROR.
  - id: 3
    name: CONFIG_ISSUE
    severity: WARNING
    description:
    # Fault should be an ERROR.
  - id: 4
    name: SENSOR_BLOCKED
    severity: WARNING
    description:
    # Fault should be an ERROR.
  - id: 5
    name: WRONG_MODE
    severity: WARNING
    description:
    # Deprecated.
  - id: 6
    name: RESERVED0
    severity: ERROR
    description:
    deprecated: true
    # Fault should be an ERROR.
  - id: 7
    name: RADAR_OUTPUT_STALE
    severity: ERROR
    description: Radar data packets not received
    triggers_nogo: true
    # Deprecated. (JoCo-05/24/2018)
  - id: 8
    name: DYNAMICS_INPUT_STALE
    severity: WARNING
    description:
    deprecated: true
    # Deprecated. (JoCo-04/05/2019)
  - id: 9
    name: POSE_INPUT_STALE
    severity: ERROR
    description:
    deprecated: true
    # Fault should be an ERROR.
  - id: 10
    name: OVERTEMP_ISSUE
    severity: WARNING
    description:
  - id: 11
    name: MISALIGN_ISSUE
    severity: WARNING
    description:
  - id: 12
    name: MISSING_DATA
    severity: WARNING
    description:
    # Fault should be an ERROR.
  - id: 13
    name: MISSING_DYN_INFO
    severity: WARNING
    description:
    # Deprecated. (JoCo-04/05/2019)
  - id: 14
    name: POSE_VEL_STALE
    severity: WARNING
    description:
    deprecated: true
    # Deprecated. (JoCo-04/05/2019)
  - id: 15
    name: POSE_YAW_RATE_STALE
    severity: WARNING
    description:
    deprecated: true
  - id: 16
    name: SELECT_ERROR
    severity: WARNING
    description:
  - id: 17
    name: SELECT_TIMEOUT
    severity: WARNING
    description:
  - id: 18
    name: ZERO_RANGE_DET
    severity: INFO
    description: INFO for detected zero range radar detections
  - id: 19
    name: DATA_INVALID
    severity: ERROR
    description: device has detected internal hardware errors
    triggers_nogo: true
